Subject: Re: [PATCH net-next v9 06/13] net: Add struct kernel_ethtool_ts_info

From: Jakub Kicinski <[email-masked]>
Date: Tue, 27 Feb 2024 19:27:37 -0800

On Mon, 26 Feb 2024 14:39:57 +0100 Kory Maincent wrote:
> In prevision to add new UAPI for hwtstamp we will be limited to the struct
> ethtool_ts_info that is currently passed in fixed binary format through the
> ETHTOOL_GET_TS_INFO ethtool ioctl. It would be good if new kernel code
> already started operating on an extensible kernel variant of that
> structure, similar in concept to struct kernel_hwtstamp_config vs struct
> hwtstamp_config.
> 
> Since struct ethtool_ts_info is in include/uapi/linux/ethtool.h, here
> we introduce the kernel-only structure in include/linux/ethtool.h.
> The manual copy is then made in the function called by ETHTOOL_GET_TS_INFO.

This one doesn't apply.
It's going to be a pain to keep rebasing it, since its a nop AFAICT -
do you want to post it separately to get it merged quickly?
-- 
pw-bot: cr